// import {defaultG4MUITheme as theme, PRIMARY_EXTRA_COLORS, SECONDARY_EXTRA_COLORS, STATUS_COLORS} from '@highradius/g4_ui_components/lib/components/theme/defaultTheme';
// import { DEFAULT_DECIMAL_FORMATTER, DEFAULT_DIFF_FORMATTER, DEFAULT_MULTIENTRY_FORMATTER } from './types';
export const DEFAULT_DECIMAL_FORMATTER =
  "_(#,###0.00_);_((#,###0.00);0.00;_[Red](@_)";
export const DEFAULT_MULTIENTRY_FORMATTER =
  "_(Σ* #,###0.00_);_(Σ* (#,###0.00);_(Σ* 0.00";
// To Show Only Two Decimals for Diff & Diff percentage
export const DEFAULT_DIFF_FORMATTER =
  "_(#,###0.00_);_((#,###0.00);0.00;_[Red](@_)";
export const defaultStyle = {
  name: "DEFAULT_STYLE",
  //   font:  `${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
  //   backColor: `${PRIMARY_EXTRA_COLORS.white}`,
  //   foreColor: `${theme.palette.grey[900]}`,
  hAlign: 2,
  vAlign: 1,
  cellPadding: "0 5 0 10",
  formatter: `${DEFAULT_DECIMAL_FORMATTER}`,
  borderLeft: {
    // color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    // color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    // color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    // color: `${theme.palette.grey[300]}`,
    style: 2
  }
};

export const sheetStyles = [
  {
    name: "PARENT_DIMENSION_STYLE",
    // font: `${theme.typography.body2.fontStyle} ${theme.typography.body2.fontWeight} ${theme.typography.caption.fontSize} ${theme.typography.body2.fontFamily}`,
    // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
    // foreColor: `${theme.palette.grey[900]}`,
    hAlign: 3,
    vAlign: 1,
    cellPadding: "0 0 0 10",
    borderLeft: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderRight: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderBottom: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderTop: {
      //   color: `${theme.palette.grey[300]}`,
      style: 5
    }
  },
  {
    name: "DIMENSION_STYLE",
    // font:  ` ${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
    // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
    // foreColor: `${theme.palette.grey[900]}`,
    hAlign: 0,
    vAlign: 1,
    cellPadding: "0 10 0 20",
    borderLeft: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderRight: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderBottom: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderTop: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    }
  },
  {
    name: "ACTUAL_SECTION_HEADER_STYLE",
    // font: `${theme.typography.body2.fontStyle} ${theme.typography.body2.fontWeight} ${theme.typography.caption.fontSize} ${theme.typography.body2.fontFamily}`,
    // backColor: `${STATUS_COLORS.VALID}`,
    // foreColor: `${theme.palette.grey[900]}`,
    hAlign: 2,
    vAlign: 1,
    cellPadding: "0 10 0 10",
    borderLeft: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderRight: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderBottom: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderTop: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    }
  },
  {
    name: "FORECAST_SECTION_HEADER_STYLE",
    // font: `${theme.typography.body2.fontStyle} ${theme.typography.body2.fontWeight} ${theme.typography.caption.fontSize} ${theme.typography.body2.fontFamily}`,
    // backColor: `${SECONDARY_EXTRA_COLORS.green}`,
    // foreColor: `${PRIMARY_EXTRA_COLORS.white}`,
    hAlign: 2,
    vAlign: 1,
    cellPadding: "0 10 0 10",
    borderLeft: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderRight: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderBottom: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderTop: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    }
  },
  {
    name: "WEEK_STYLE",
    // font: `${theme.typography.caption.fontSize} ${theme.typography.body2.fontFamily}`,
    // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
    // foreColor: `${theme.palette.grey[900]}`,
    hAlign: 0,
    vAlign: 1,
    cellPadding: "0 0 0 10",
    borderLeft: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderRight: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderBottom: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderTop: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    }
  },
  {
    name: "DATE_STYLE",
    // font:  `${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
    // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
    // foreColor: `${theme.palette.grey[900]}`,
    hAlign: 2,
    vAlign: 1,
    cellPadding: "0 10 0 0",
    borderLeft: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderRight: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderBottom: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderTop: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    }
  },
  { ...defaultStyle },
  { ...defaultStyle, name: "FORMULA_STYLE" },
  { ...defaultStyle, name: "SINGLE_MANUAL_STYLE" },
  {
    ...defaultStyle,
    name: "MULTIPLE_MANUAL_STYLE",
    formatter: `${DEFAULT_MULTIENTRY_FORMATTER}`
  }
];

export const defaults = {
  colHeaderRowHeight: 36,
  colWidth: 150,
  rowHeaderColWidth: 40,
  rowHeight: 28,
  _isExcelDefaultColumnWidth: false
};

export const editModeStyles = [
  {
    name: "SINGLE_MANUAL_STYLE",
    // font:  `${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
    // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
    // foreColor: `${theme.palette.grey[900]}`,
    hAlign: 2,
    vAlign: 1,
    cellPadding: "0 5 0 10",
    formatter: `${DEFAULT_DECIMAL_FORMATTER}`,
    borderLeft: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderRight: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderBottom: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderTop: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    }
  },
  {
    name: "FORMULA_STYLE",
    // font:  `${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
    // backColor: `${theme.palette.grey[100]}`,
    // foreColor: `${theme.palette.grey[900]}`,
    hAlign: 2,
    vAlign: 1,
    cellPadding: "0 5 0 10",
    formatter: `${DEFAULT_DECIMAL_FORMATTER}`,
    borderLeft: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderRight: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderBottom: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderTop: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    }
  },
  {
    name: "MULTIPLE_MANUAL_STYLE",
    // font:  `${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
    // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
    // foreColor: `${theme.palette.grey[900]}`,
    hAlign: 2,
    vAlign: 1,
    cellPadding: "0 5 0 10",
    formatter: `${DEFAULT_MULTIENTRY_FORMATTER}`,
    borderLeft: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderRight: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderBottom: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    },
    borderTop: {
      //   color: `${theme.palette.grey[300]}`,
      style: 2
    }
  }
];

export const comparisonSheetStyles = [
  {
    ...defaultStyle,
    name: "DIFFERENCE_STYLE",
    formatter: DEFAULT_DIFF_FORMATTER
  }
];

export const emptyCellDefaults = { rowHeight: 20 };
